Package org.apache.commons.cli

# Class HelpFormatter.Builder

java.lang.Object
org.apache.commons.cli.HelpFormatter.Builder

All Implemented Interfaces:
  `Supplier<HelpFormatter>`

Enclosing class:
  `HelpFormatter`

public static class HelpFormatter.Builder extends Object implements Supplier<HelpFormatter>
Builds `HelpFormatter`.

Since:
  1.7.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HelpFormatter`
  `get()`
  `HelpFormatter.Builder`
  `setPrintWriter(PrintWriter printWriter)`
  Sets the output PrintWriter, defaults to wrapping `System.out`.
  `HelpFormatter.Builder`
  `setShowDeprecated(boolean useDefaultFormat)`
  Sets whether to show deprecated options.
  `HelpFormatter.Builder`
  `setShowDeprecated(Function<Option,String> deprecatedFormatFunction)`
  Sets whether to show deprecated options.
  `HelpFormatter.Builder`
  `setShowSince(boolean showSince)`
  Sets whether to show the date the option was first added.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Builder

    public Builder()
    Constructs a new instance.

- ## Method Details

  - ### get

    public HelpFormatter get()
    Specified by:
      `get` in interface `Supplier<HelpFormatter>`

  - ### setPrintWriter

    public HelpFormatter.Builder setPrintWriter(PrintWriter printWriter)
    Sets the output PrintWriter, defaults to wrapping `System.out`.
    Parameters:
      `printWriter` - the output PrintWriter, not null.
    Returns:
      `this` instance.

  - ### setShowDeprecated

    public HelpFormatter.Builder setShowDeprecated(boolean useDefaultFormat)
    Sets whether to show deprecated options.
    Parameters:
      `useDefaultFormat` - if `true` use the default format, otherwise clear the formatter.
    Returns:
      `this` instance.

  - ### setShowDeprecated

    public HelpFormatter.Builder setShowDeprecated(Function<Option,String> deprecatedFormatFunction)
    Sets whether to show deprecated options.
    Parameters:
      `deprecatedFormatFunction` - Specify the format for the deprecated options.
    Returns:
      `this` instance.
    Since:
      1.8.0

  - ### setShowSince

    public HelpFormatter.Builder setShowSince(boolean showSince)
    Sets whether to show the date the option was first added.
    Parameters:
      `showSince` - if @{code true} the date the options was first added will be shown.
    Returns:
      this builder.
    Since:
      1.9.0